summaryrefslogtreecommitdiffstats
path: root/common/common-scripts/src/main/resources/scripts/startScript
diff options
context:
space:
mode:
authorMaros Marsalek <mmarsale@cisco.com>2016-10-12 14:48:17 +0200
committerMarek Gradzki <mgradzki@cisco.com>2016-10-17 09:11:21 +0000
commit7236617f71a2090aa1aebac37e2b7b51330cdc73 (patch)
tree97011e0210a589adfb48c00b761d8ec59d631f8b /common/common-scripts/src/main/resources/scripts/startScript
parent957461dcfd741fc3290e4317c2297c5618b593b5 (diff)
HONEYCOMB-157 Extract groovy scripts from poms
And put all of them into a dedicated module Change-Id: Id04c66806a89af68d821a43ef92f0a59220e04e9 Signed-off-by: Maros Marsalek <mmarsale@cisco.com>
Diffstat (limited to 'common/common-scripts/src/main/resources/scripts/startScript')
-rw-r--r--common/common-scripts/src/main/resources/scripts/startScript13
1 files changed, 13 insertions, 0 deletions
diff --git a/common/common-scripts/src/main/resources/scripts/startScript b/common/common-scripts/src/main/resources/scripts/startScript
new file mode 100644
index 0000000..94aec85
--- /dev/null
+++ b/common/common-scripts/src/main/resources/scripts/startScript
@@ -0,0 +1,13 @@
+#!/bin/sh -
+STATUS=100
+
+while [ \$STATUS -eq 100 ]
+do
+ ${exec}
+ STATUS=\$?
+ echo "Honeycomb exited with status: \$STATUS"
+ if [ \$STATUS -eq 100 ]
+ then
+ echo "Restarting..."
+ fi
+done \ No newline at end of file